Bug 1192474 (CVE-2014-6412) - CVE-2014-6412 wordpress: lack of CSPRNG might lead to information disclosure
Summary: CVE-2014-6412 wordpress: lack of CSPRNG might lead to information disclosure
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-6412
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140625,repor...
Depends On: 1192476 1192475
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-13 13:28 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:38:49 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-02-13 13:28:21 UTC
It was reported [1] that all versions of WordPress are using weak random number generation algorithm, which makes it possible to predict the password reset token for admin user.
Non-upstream patch is available here:
https://core.trac.wordpress.org/attachment/ticket/28633/28633.3.patch

[1]: http://seclists.org/fulldisclosure/2015/Feb/42

Comment 1 Vasyl Kaigorodov 2015-02-13 13:28:52 UTC
Created wordpress tracking bugs for this issue:

Affects: fedora-all [bug 1192475]
Affects: epel-all [bug 1192476]

Comment 2 Product Security DevOps Team 2019-06-08 02:38:49 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.